<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gluon: ring_buffer/ring_buffer.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gluon
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_17d4747e903b79d80b56a3ed98fbfc0f.html">ring_buffer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">ring_buffer.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="ring__buffer_8h_source.html">ring_buffer.h</a>&quot;</code><br />
<code>#include &lt;assert.h&gt;</code><br />
<code>#include &lt;stddef.h&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for ring_buffer.c:</div>
<div class="dyncontent">
<div class="center"><img src="ring__buffer_8c__incl.png" border="0" usemap="#ring__buffer_2ring__buffer_8c" alt=""/></div>
<map name="ring__buffer_2ring__buffer_8c" id="ring__buffer_2ring__buffer_8c">
<area shape="rect" id="node2" href="ring__buffer_8h.html" title="ring_buffer.h" alt="" coords="5,80,100,107"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a653a84309e2deed3f51accbc2bc994f8"><td class="memItemLeft" align="right" valign="top"><a class="el" href="ring__buffer_8h.html#a0c18775e0bc3e273e024d969e91d63a1">RING_BUFFER_SPEC</a> void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ring__buffer_8c.html#a653a84309e2deed3f51accbc2bc994f8">rb_init</a> (<a class="el" href="ring__buffer_8h.html#a963a1a53bdd33928539cf4fdea3f40f9">ring_buffer_t</a> *rb, <a class="el" href="ring__buffer_8h.html#af72901092687a69d9997872b8b25df60">RB_TYPE</a> *buffer, uint32_t length)</td></tr>
<tr class="separator:a653a84309e2deed3f51accbc2bc994f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0789028e3edc48a3f93cb1f2a2639007"><td class="memItemLeft" align="right" valign="top"><a class="el" href="ring__buffer_8h.html#a0c18775e0bc3e273e024d969e91d63a1">RING_BUFFER_SPEC</a> int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ring__buffer_8c.html#a0789028e3edc48a3f93cb1f2a2639007">rb_read</a> (<a class="el" href="ring__buffer_8h.html#a963a1a53bdd33928539cf4fdea3f40f9">ring_buffer_t</a> *rb, <a class="el" href="ring__buffer_8h.html#af72901092687a69d9997872b8b25df60">RB_TYPE</a> *value)</td></tr>
<tr class="separator:a0789028e3edc48a3f93cb1f2a2639007"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d433447b1686d4eeec3d6aa34a65e3c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="ring__buffer_8h.html#a0c18775e0bc3e273e024d969e91d63a1">RING_BUFFER_SPEC</a> int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ring__buffer_8c.html#a9d433447b1686d4eeec3d6aa34a65e3c">rb_write</a> (<a class="el" href="ring__buffer_8h.html#a963a1a53bdd33928539cf4fdea3f40f9">ring_buffer_t</a> *rb, <a class="el" href="ring__buffer_8h.html#af72901092687a69d9997872b8b25df60">RB_TYPE</a> value)</td></tr>
<tr class="separator:a9d433447b1686d4eeec3d6aa34a65e3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acca88893dc01c26516b20e5a3c60e88a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="ring__buffer_8h.html#a0c18775e0bc3e273e024d969e91d63a1">RING_BUFFER_SPEC</a> uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ring__buffer_8c.html#acca88893dc01c26516b20e5a3c60e88a">rb_get_count</a> (<a class="el" href="ring__buffer_8h.html#a963a1a53bdd33928539cf4fdea3f40f9">ring_buffer_t</a> *rb)</td></tr>
<tr class="separator:acca88893dc01c26516b20e5a3c60e88a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="acca88893dc01c26516b20e5a3c60e88a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acca88893dc01c26516b20e5a3c60e88a">&#9670;&nbsp;</a></span>rb_get_count()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="ring__buffer_8h.html#a0c18775e0bc3e273e024d969e91d63a1">RING_BUFFER_SPEC</a> uint32_t rb_get_count </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="ring__buffer_8h.html#a963a1a53bdd33928539cf4fdea3f40f9">ring_buffer_t</a> *&#160;</td>
          <td class="paramname"><em>rb</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a653a84309e2deed3f51accbc2bc994f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a653a84309e2deed3f51accbc2bc994f8">&#9670;&nbsp;</a></span>rb_init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="ring__buffer_8h.html#a0c18775e0bc3e273e024d969e91d63a1">RING_BUFFER_SPEC</a> void rb_init </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="ring__buffer_8h.html#a963a1a53bdd33928539cf4fdea3f40f9">ring_buffer_t</a> *&#160;</td>
          <td class="paramname"><em>rb</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="ring__buffer_8h.html#af72901092687a69d9997872b8b25df60">RB_TYPE</a> *&#160;</td>
          <td class="paramname"><em>buffer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>length</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0789028e3edc48a3f93cb1f2a2639007"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0789028e3edc48a3f93cb1f2a2639007">&#9670;&nbsp;</a></span>rb_read()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="ring__buffer_8h.html#a0c18775e0bc3e273e024d969e91d63a1">RING_BUFFER_SPEC</a> int rb_read </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="ring__buffer_8h.html#a963a1a53bdd33928539cf4fdea3f40f9">ring_buffer_t</a> *&#160;</td>
          <td class="paramname"><em>rb</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="ring__buffer_8h.html#af72901092687a69d9997872b8b25df60">RB_TYPE</a> *&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9d433447b1686d4eeec3d6aa34a65e3c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9d433447b1686d4eeec3d6aa34a65e3c">&#9670;&nbsp;</a></span>rb_write()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="ring__buffer_8h.html#a0c18775e0bc3e273e024d969e91d63a1">RING_BUFFER_SPEC</a> int rb_write </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="ring__buffer_8h.html#a963a1a53bdd33928539cf4fdea3f40f9">ring_buffer_t</a> *&#160;</td>
          <td class="paramname"><em>rb</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="ring__buffer_8h.html#af72901092687a69d9997872b8b25df60">RB_TYPE</a>&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
